# class KTarDirectory | A directory in a tar-file's directory structure. More...
Definition | `#include <ktar.h>`
Inherits | KTarEntry [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KTarDirectory ( KTarBase* tar, const QString& name, int access, int date, const QString& user, const QString& group, const QString& symlink)
- virtual ~KTarDirectory ()
- QStringList entries () const
- KTarEntry* entry ( QString name )
- const KTarEntry* entry ( QString name ) const
- void addEntry ( KTarEntry* )
- virtual bool isDirectory () const

## Detailed Description

See also: KTarFile, KTarFile

KTarDirectory ( KTarBase* tar, const QString& name, int access, int date, const QString& user, const QString& group, const QString& symlink) | ### KTarDirectory

~KTarDirectory () | ### ~KTarDirectory

[virtual]

QStringList entries () | ### entries

[const]

Returns: the names of all entries in this directory (filenames, no path).

KTarEntry* entry ( QString name ) | ### entry

Parameters:

name | may be "test1", "mydir/test3", "mydir/mysubdir/test3", etc.

Returns: a pointer to the entry in the directory.

const KTarEntry* entry ( QString name ) | ### entry

[const]

void addEntry ( KTarEntry* ) | ### addEntry

Adds a new entry to the directory.

bool isDirectory () | ### isDirectory

[const virtual]

Returns: true, since this entry is a directory

Reimplemented from KTarEntry.

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:40:40 2001, using kdoc 2.0a53.